glab(1)

NAME

glab-issue-list - List project issues

SYNOPSIS

glab issue list [flags]

DESCRIPTION

List project issues

OPTIONS

-A, --all[=false]
    Get all issues

-a, --assignee=""
    Filter issue by assignee

--author=""
    Filter issue by author

-c, --closed[=false]
    Get only closed issues

-C, --confidential[=false]
    Filter by confidential issues

-g, --group=""
    Select a group/subgroup. This option is ignored if a repo argument is set.

--in="title,description"
    search in {title|description}

-t, --issue-type=""
    Filter issue by its type {issue|incident|test_case}

-l, --label=[]
    Filter issue by label

-m, --milestone=""
    Filter issue by milestone

--not-assignee=[]
    Filter issue by not being assigneed to

--not-author=[]
    Filter by not being by author(s)

--not-label=[]
    Filter issue by lack of label

-O, --output="text"
    One of 'text' or 'json'

-F, --output-format="details"
    One of 'details', 'ids', 'urls'

-p, --page=1
    Page number

-P, --per-page=30
    Number of items to list per page.

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

--search=""
    Search in the fields defined by --in

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

EXAMPLE
    glab issue list --all
    glab issue ls --all
    glab issue list --assignee=@me
    glab issue list --milestone release-2.0.0 --opened

SEE ALSO

glab-issue(1)